salt:
  master:
    fileserver_backend:
      - roots
      - git
    gitfs_provider: gitpython
    gitfs_remotes:
      - git://github.com/truefitness/salt-formula.git
    pillar_roots:
      base:
        - /srv/pillar
      dev:
        - /srv/pillar
    file_roots:
      base:
        - /srv/salt
      dev:
        - /srv/salt

  minion:
    master: salt.local
  #  file_client: local
    fileserver_backend:
      - roots
      - git
    gitfs_provider: gitpython
    gitfs_remotes:
      - git://github.com/truefitness/salt-formula.git
    pillar_roots:
      base:
        - /srv/pillar
      dev:
        - /srv/pillar
    file_roots:
      base:
        - /srv/salt
      dev:
        - /srv/salt

salt_formulas:
  git_opts:
    default:
      baseurl: git://github.com/truefitness
      # Directory where Git repositories are downloaded
      basedir: /srv/formulas
      # Update the git repository to the latest version (False by default)
      update: False
      # Options passed directly to the git.latest state
      options:
        branch: master
        rev: master
    dev:
      branch: dev
      rev: dev
    basedir_opts:
      makedirs: True
      user: root
      group: root
      mode: 755
  list:
    base:
      - salt-formula
      - users-formula
      - hostapd-formula
      - dnsmasq-formula
      - network-debian-formula
      - apt-cacher-formula
      - iptables-formula
      - avahi-formula
    dev:
      - salt-formula
      - users-formula
      - hostapd-formula
      - dnsmasq-formula
      - network-debian-formula
      - apt-cacher-formula
      - iptables-formula
      - avahi-formula
