include:
  - jenkins

git:
  pkg:
    - installed

/opt/jenkins:
  file.directory:
    - user: jenkins
    - group: jenkins
    - dir_mode: 755
    - require:
      - service: jenkins

/var/lib/jenkins/.ssh:
  file.directory:
    - user: jenkins
    - group: jenkins
    - dir_mode: 755
    - require:
      - service: jenkins

git-key:
  file.managed:
    - name: /var/lib/jenkins/.ssh/id_rsa_salt_gitfs
    - source: salt://git_repos/key/id_rsa_salt_gitfs
    - user: jenkins
    - group: jenkins
    - mode: 400
    - require:
      - file: /var/lib/jenkins/.ssh


bitbucket_known_hosts:
  module.run:
  - name: ssh.set_known_host
  - user: jenkins
  - hostname: bitbucket.org
  - fingerprint: 97:8c:1b:f2:6f:14:6b:5c:3b:ec:aa:46:46:74:7c:40
  - config: .ssh/known_hosts
  #- config: /var/lib/jenkins/.ssh/known_hosts

bitbucket.org:
 ssh_known_hosts:
   - present
   - user: jenkins
   - fingerprint: 97:8c:1b:f2:6f:14:6b:5c:3b:ec:aa:46:46:74:7c:40
   - config: .ssh/known_hosts
github_known_hosts:
  module.run:
  - name: ssh.set_known_host
  - user: jenkins
  - hostname: github.com
  - config: /var/lib/jenkins/.ssh/known_hosts
  - fingerprint: 16:27:ac:a5:76:28:2d:36:63:1b:56:4d:eb:df:a6:48

github.com:
  ssh_known_hosts:
    - present
    - user: jenkins
    - key: /var/lib/jenkins/.ssh/id_rsa_salt_gitfs


candor-jenkins-repo:
 git.latest:
   - name: git@bitbucket.org:truefitness/candor-jenkins-config
   - rev: master
   - user: jenkins
   - target: /opt/jenkins/candor-jenkins-config
   - identity: /var/lib/jenkins/.ssh/id_rsa_salt_gitfs
   - require:
       - pkg: git
       - ssh_known_hosts: bitbucket.org
